<?php
/**
* @version	$Id: emoticon_eh.php 15148 2012-03-04 09:04:48Z alex $
* @package	In-Bulletin
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class EmoticonEventHandler extends kDBEventHandler {

		/**
		 * Deletes image file
		 *
		 * @param kEvent $event
		 * @return void
		 * @access protected
		 */
		protected function OnAfterItemDelete(kEvent $event)
		{
			parent::OnAfterItemDelete($event);

			$object = $event->getObject();

			$emoticon_file = $object->GetField('EmotionImage', 'full_path');
			if ( $emoticon_file ) {
				@unlink($emoticon_file);
			}
		}

	}